Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class CRLDistPoint

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.CRLDistPoint

All Implemented Interfaces:
  DEREncodable

public class CRLDistPoint
extends ASN1Encodable

Constructor Summary
`CRLDistPoint(ASN1Sequence seq)`
`CRLDistPoint(DistributionPoint[] points)`

Method Summary
`DistributionPoint[]` | `getDistributionPoints()` Return the distribution points making up the sequence.
`static CRLDistPoint` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CRLDistPoint` | `getInstance(java.lang.Object obj)`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRLDistPoint

    public CRLDistPoint(ASN1Sequence seq)

### CRLDistPoint

    public CRLDistPoint(DistributionPoint[] points)

Method Detail

### getInstance

    public static CRLDistPoint getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getInstance

    public static CRLDistPoint getInstance(java.lang.Object obj)

### getDistributionPoints

    public DistributionPoint[] getDistributionPoints()

  Return the distribution points making up the sequence.

  Returns:
    DistributionPoint[]

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       CRLDistPoint ::= SEQUENCE SIZE {1..MAX} OF DistributionPoint

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD